com.sun.grid.jgdi.configuration

## Interface EventClient

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    EventClientImpl

      public interface EventClient
      extends GEObject

  Java representation of the cull object EV_Type defined in sge_all_listsL.template

  Warning: The EventClient class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvents(Event aevents)` Add a com.sun.grid.jgdi.configuration.Event attribute.
    `void` | `addSubscribed(EventSubcribtion asubscribed)` Add a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `java.lang.String` | `dump()`
    `int` | `getBusy()` Get the value of the busy attribute.
    `int` | `getBusyHandling()` Get the value of the busyHandling attribute.
    `int` | `getCommid()` Get the value of the commid attribute.
    `java.lang.String` | `getCommproc()` Get the value of the commproc attribute.
    `int` | `getDTime()` Get the value of the dTime attribute.
    `Event` | `getEvents(int index)` Get a com.sun.grid.jgdi.configuration.Event attribute at an index.
    `int` | `getEventsCount()` Get the number of com.sun.grid.jgdi.configuration.Event attributes.
    `java.util.List<Event>` | `getEventsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Event attributes.
    `int` | `getFlushDelay()` Get the value of the flushDelay attribute.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `int` | `getId()` Get the value of the id attribute.
    `int` | `getLastHeardFrom()` Get the value of the lastHeardFrom attribute.
    `int` | `getLastSendTime()` Get the value of the lastSendTime attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getNextNumber()` Get the value of the nextNumber attribute.
    `int` | `getNextSendTime()` Get the value of the nextSendTime attribute.
    `java.lang.String` | `getSession()` Get the value of the session attribute.
    `int` | `getState()` Get the value of the state attribute.
    `EventSubcribtion` | `getSubscribed(int index)` Get a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
    `int` | `getSubscribedCount()` Get the number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `java.util.List<EventSubcribtion>` | `getSubscribedList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `int` | `getUid()` Get the value of the uid attribute.
    `boolean` | `isChanged()` Get the value of the changed attribute.
    `boolean` | `isSetBusy()` Determine if any busy attribute is set
    `boolean` | `isSetBusyHandling()` Determine if any busyHandling attribute is set
    `boolean` | `isSetChanged()` Determine if any changed attribute is set
    `boolean` | `isSetCommid()` Determine if any commid attribute is set
    `boolean` | `isSetCommproc()` Determine if any commproc attribute is set
    `boolean` | `isSetDTime()` Determine if any dTime attribute is set
    `boolean` | `isSetEvents()` Determine if any events attribute is set
    `boolean` | `isSetFlushDelay()` Determine if any flushDelay attribute is set
    `boolean` | `isSetHost()` Determine if any host attribute is set
    `boolean` | `isSetId()` Determine if any id attribute is set
    `boolean` | `isSetLastHeardFrom()` Determine if any lastHeardFrom attribute is set
    `boolean` | `isSetLastSendTime()` Determine if any lastSendTime attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetNextNumber()` Determine if any nextNumber attribute is set
    `boolean` | `isSetNextSendTime()` Determine if any nextSendTime attribute is set
    `boolean` | `isSetSession()` Determine if any session attribute is set
    `boolean` | `isSetState()` Determine if any state attribute is set
    `boolean` | `isSetSubscribed()` Determine if any subscribed attribute is set
    `boolean` | `isSetUid()` Determine if any uid attribute is set
    `void` | `removeAllEvents()` Remove all com.sun.grid.jgdi.configuration.Event attributes.
    `void` | `removeAllSubscribed()` Remove all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `boolean` | `removeEvents(Event aevents)` Remote a specific com.sun.grid.jgdi.configuration.Event attribute.
    `Event` | `removeEvents(int index)` Remote a com.sun.grid.jgdi.configuration.Event attribute at an index.
    `boolean` | `removeSubscribed(EventSubcribtion asubscribed)` Remote a specific com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `EventSubcribtion` | `removeSubscribed(int index)` Remote a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
    `void` | `setBusy(int aBusy)` Set the busy attribute.
    `void` | `setBusyHandling(int aBusyHandling)` Set the busyHandling attribute.
    `void` | `setChanged(boolean aChanged)` Set the changed attribute.
    `void` | `setCommid(int aCommid)` Set the commid attribute.
    `void` | `setCommproc(java.lang.String aCommproc)` Set the commproc attribute.
    `void` | `setDTime(int aDTime)` Set the dTime attribute.
    `void` | `setEvents(int index, Event aevents)` Set a com.sun.grid.jgdi.configuration.Event attribute.
    `void` | `setFlushDelay(int aFlushDelay)` Set the flushDelay attribute.
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setLastHeardFrom(int aLastHeardFrom)` Set the lastHeardFrom attribute.
    `void` | `setLastSendTime(int aLastSendTime)` Set the lastSendTime attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setNextNumber(int aNextNumber)` Set the nextNumber attribute.
    `void` | `setNextSendTime(int aNextSendTime)` Set the nextSendTime attribute.
    `void` | `setSession(java.lang.String aSession)` Set the session attribute.
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setSubscribed(int index, EventSubcribtion asubscribed)` Set a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `void` | `setUid(int aUid)` Set the uid attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setId

          void setId(int aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          int getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setHost

          void setHost(java.lang.String aHost)

      Set the host attribute.
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          java.lang.String getHost()

      Get the value of the host attribute.
      Returns:
        the value of the host attribute

    - #### isSetHost

          boolean isSetHost()

      Determine if any host attribute is set
      Returns:
        `true` if the host attribute is set

    - #### setCommproc

          void setCommproc(java.lang.String aCommproc)

      Set the commproc attribute.
      Parameters:
        `aCommproc` - the new value for the commproc attribute

    - #### getCommproc

          java.lang.String getCommproc()

      Get the value of the commproc attribute.
      Returns:
        the value of the commproc attribute

    - #### isSetCommproc

          boolean isSetCommproc()

      Determine if any commproc attribute is set
      Returns:
        `true` if the commproc attribute is set

    - #### setCommid

          void setCommid(int aCommid)

      Set the commid attribute.
      Parameters:
        `aCommid` - the new value for the commid attribute

    - #### getCommid

          int getCommid()

      Get the value of the commid attribute.
      Returns:
        the value of the commid attribute

    - #### isSetCommid

          boolean isSetCommid()

      Determine if any commid attribute is set
      Returns:
        `true` if the commid attribute is set

    - #### setUid

          void setUid(int aUid)

      Set the uid attribute.
      Parameters:
        `aUid` - the new value for the uid attribute

    - #### getUid

          int getUid()

      Get the value of the uid attribute.
      Returns:
        the value of the uid attribute

    - #### isSetUid

          boolean isSetUid()

      Determine if any uid attribute is set
      Returns:
        `true` if the uid attribute is set

    - #### setDTime

          void setDTime(int aDTime)

      Set the dTime attribute.
      Parameters:
        `aDTime` - the new value for the dTime attribute

    - #### getDTime

          int getDTime()

      Get the value of the dTime attribute.
      Returns:
        the value of the dTime attribute

    - #### isSetDTime

          boolean isSetDTime()

      Determine if any dTime attribute is set
      Returns:
        `true` if the dTime attribute is set

    - #### setFlushDelay

          void setFlushDelay(int aFlushDelay)

      Set the flushDelay attribute.
      Parameters:
        `aFlushDelay` - the new value for the flushDelay attribute

    - #### getFlushDelay

          int getFlushDelay()

      Get the value of the flushDelay attribute.
      Returns:
        the value of the flushDelay attribute

    - #### isSetFlushDelay

          boolean isSetFlushDelay()

      Determine if any flushDelay attribute is set
      Returns:
        `true` if the flushDelay attribute is set

    - #### getSubscribedList

          java.util.List<EventSubcribtion> getSubscribedList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.EventSubcribtion attributes

    - #### getSubscribedCount

          int getSubscribedCount()

      Get the number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.

    - #### getSubscribed

          EventSubcribtion getSubscribed(int index)

      Get a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### addSubscribed

          void addSubscribed(EventSubcribtion asubscribed)

      Add a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Parameters:
        `asubscribed` - the new com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### setSubscribed

          void setSubscribed(int index,
                             EventSubcribtion asubscribed)

      Set a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute
        `asubscribed` - the new com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### removeAllSubscribed

          void removeAllSubscribed()

      Remove all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.

    - #### removeSubscribed

          EventSubcribtion removeSubscribed(int index)

      Remote a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.EventSubcribtion attribute or `null` if no attribute at this index is stored

    - #### removeSubscribed

          boolean removeSubscribed(EventSubcribtion asubscribed)

      Remote a specific com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Parameters:
        `asubscribed` - the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.EventSubcribtion attribute has been removed

    - #### isSetSubscribed

          boolean isSetSubscribed()

      Determine if any subscribed attribute is set
      Returns:
        `true` if the subscribed attribute is set

    - #### setChanged

          void setChanged(boolean aChanged)

      Set the changed attribute.
      Parameters:
        `aChanged` - the new value for the changed attribute

    - #### isChanged

          boolean isChanged()

      Get the value of the changed attribute.
      Returns:
        the value of the changed attribute

    - #### isSetChanged

          boolean isSetChanged()

      Determine if any changed attribute is set
      Returns:
        `true` if the changed attribute is set

    - #### setBusyHandling

          void setBusyHandling(int aBusyHandling)

      Set the busyHandling attribute.
      Parameters:
        `aBusyHandling` - the new value for the busyHandling attribute

    - #### getBusyHandling

          int getBusyHandling()

      Get the value of the busyHandling attribute.
      Returns:
        the value of the busyHandling attribute

    - #### isSetBusyHandling

          boolean isSetBusyHandling()

      Determine if any busyHandling attribute is set
      Returns:
        `true` if the busyHandling attribute is set

    - #### setSession

          void setSession(java.lang.String aSession)

      Set the session attribute.
      Parameters:
        `aSession` - the new value for the session attribute

    - #### getSession

          java.lang.String getSession()

      Get the value of the session attribute.
      Returns:
        the value of the session attribute

    - #### isSetSession

          boolean isSetSession()

      Determine if any session attribute is set
      Returns:
        `true` if the session attribute is set

    - #### setLastHeardFrom

          void setLastHeardFrom(int aLastHeardFrom)

      Set the lastHeardFrom attribute.
      Parameters:
        `aLastHeardFrom` - the new value for the lastHeardFrom attribute

    - #### getLastHeardFrom

          int getLastHeardFrom()

      Get the value of the lastHeardFrom attribute.
      Returns:
        the value of the lastHeardFrom attribute

    - #### isSetLastHeardFrom

          boolean isSetLastHeardFrom()

      Determine if any lastHeardFrom attribute is set
      Returns:
        `true` if the lastHeardFrom attribute is set

    - #### setLastSendTime

          void setLastSendTime(int aLastSendTime)

      Set the lastSendTime attribute.
      Parameters:
        `aLastSendTime` - the new value for the lastSendTime attribute

    - #### getLastSendTime

          int getLastSendTime()

      Get the value of the lastSendTime attribute.
      Returns:
        the value of the lastSendTime attribute

    - #### isSetLastSendTime

          boolean isSetLastSendTime()

      Determine if any lastSendTime attribute is set
      Returns:
        `true` if the lastSendTime attribute is set

    - #### setNextSendTime

          void setNextSendTime(int aNextSendTime)

      Set the nextSendTime attribute.
      Parameters:
        `aNextSendTime` - the new value for the nextSendTime attribute

    - #### getNextSendTime

          int getNextSendTime()

      Get the value of the nextSendTime attribute.
      Returns:
        the value of the nextSendTime attribute

    - #### isSetNextSendTime

          boolean isSetNextSendTime()

      Determine if any nextSendTime attribute is set
      Returns:
        `true` if the nextSendTime attribute is set

    - #### setNextNumber

          void setNextNumber(int aNextNumber)

      Set the nextNumber attribute.
      Parameters:
        `aNextNumber` - the new value for the nextNumber attribute

    - #### getNextNumber

          int getNextNumber()

      Get the value of the nextNumber attribute.
      Returns:
        the value of the nextNumber attribute

    - #### isSetNextNumber

          boolean isSetNextNumber()

      Determine if any nextNumber attribute is set
      Returns:
        `true` if the nextNumber attribute is set

    - #### setBusy

          void setBusy(int aBusy)

      Set the busy attribute.
      Parameters:
        `aBusy` - the new value for the busy attribute

    - #### getBusy

          int getBusy()

      Get the value of the busy attribute.
      Returns:
        the value of the busy attribute

    - #### isSetBusy

          boolean isSetBusy()

      Determine if any busy attribute is set
      Returns:
        `true` if the busy attribute is set

    - #### getEventsList

          java.util.List<Event> getEventsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Event attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Event attributes

    - #### getEventsCount

          int getEventsCount()

      Get the number of com.sun.grid.jgdi.configuration.Event attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Event attributes.

    - #### getEvents

          Event getEvents(int index)

      Get a com.sun.grid.jgdi.configuration.Event attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Event attribute

    - #### addEvents

          void addEvents(Event aevents)

      Add a com.sun.grid.jgdi.configuration.Event attribute.
      Parameters:
        `aevents` - the new com.sun.grid.jgdi.configuration.Event attribute

    - #### setEvents

          void setEvents(int index,
                         Event aevents)

      Set a com.sun.grid.jgdi.configuration.Event attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Event attribute
        `aevents` - the new com.sun.grid.jgdi.configuration.Event attribute

    - #### removeAllEvents

          void removeAllEvents()

      Remove all com.sun.grid.jgdi.configuration.Event attributes.

    - #### removeEvents

          Event removeEvents(int index)

      Remote a com.sun.grid.jgdi.configuration.Event attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Event attribute or `null` if no attribute at this index is stored

    - #### removeEvents

          boolean removeEvents(Event aevents)

      Remote a specific com.sun.grid.jgdi.configuration.Event attribute.
      Parameters:
        `aevents` - the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Event attribute has been removed

    - #### isSetEvents

          boolean isSetEvents()

      Determine if any events attribute is set
      Returns:
        `true` if the events attribute is set

    - #### setState

          void setState(int aState)

      Set the state attribute.
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          int getState()

      Get the value of the state attribute.
      Returns:
        the value of the state attribute

    - #### isSetState

          boolean isSetState()

      Determine if any state attribute is set
      Returns:
        `true` if the state attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.